/*
 * driverWifly.h
 *
 *  Created on: Nov 2, 2012
 *      Author: jordi
 */

#ifndef DRIVERWIFLY_H_
#define DRIVERWIFLY_H_

#define RST_WIFLY_PIN 22
#define MSG_CMD "CMD"
#define MSG_CNX "Associated"
#define MSG_PING "64 bytes"
#define MSG_GET "OK"



uint8_t wiflyConnect();
uint8_t wiflyNetAccess(char *ssid, char *mode, char *pswd);
uint8_t wiflyPing(char *address);
uint8_t wiflyGetIP(char *resposta);
uint8_t wiflyGetChannel(char *resposta);
int32_t wiflyGetRSSI ();
uint8_t wiflyGetTime(char *resposta);
uint8_t wiflySendHTTP(char *comand,char *resposta);
uint8_t wiflyGetTxPower(char *resposta);
uint8_t wiflySetTxPower(uint8_t power);
void delayMs(uint32_t ms);
void passiveDelayMs ( uint32_t ms );
uint8_t UARTScan(char *resposta, uint32_t timeOut);
uint8_t parseString(char *s1, char *s2);
void cutString(char *s, char final);


#endif /* DRIVERWIFLY_H_ */
